%global provider        github
%global provider_tld    com
%global project         swaywm
%global repo            wlroots
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}

Name:           wlroots
Version:        0.0.1
Release:        1.git_fe187fc887
Summary:        Pluggable, composable, unopinionated modules for building a Wayland compositor
License:        MIT
URL:            https://%{provider_prefix}
Source0:        https://%{provider_prefix}/archive/master.zip
Requires:       libcap
Requires:       libdrm
Requires:       libinput
Requires:       libwayland-cursor
Requires:       libwayland-egl
Requires:       libwayland-server
Requires:       libxkbcommon
Requires:       mesa-libEGL
Requires:       mesa-libgbm
Requires:       mesa-libGLES
Requires:       pixman
Requires:       systemd
Requires:       xcb-util-image
Requires:       xcb-util-wm
BuildRequires:	unzip
BuildRequires:  ctags-etags
BuildRequires:  gcc
BuildRequires:  libcap-devel
BuildRequires:  libdrm-devel
BuildRequires:  libinput-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  mesa-libgbm-devel
BuildRequires:  mesa-libGLES-devel
BuildRequires:  meson
BuildRequires:  pixman-devel
BuildRequires:  systemd-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-wm-devel

%description
%{summary}.

# prepare software to be built
%prep
%setup -n wlroots-master

%build
%meson -Dxcb-errors=disabled
%meson_build

%install
%meson_install

%check
%meson_test

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README.md CONTRIBUTING.md docs/*
%license LICENSE
%{_libdir}/libwlroots.so.*

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       wlroots

%description devel
%{summary}.

%files devel
%{_libdir}/libwlroots.so
%{_libdir}/pkgconfig/wlroots.pc
%{_includedir}/wlr/*

%changelog
* Tue Sep 18 2018 Martin Cizmar <betacheer@gmail.com> - 0.0.1
- initial package forked from mskarbek/sway 
